# Script start

# Enable Custom securtiy
# Get Security object id
securityId = AdminConfig.list('Security')

# Get CustomUserRegistry object id
customUserRegistry = AdminConfig.list('CustomUserRegistry')

# Enable global secuity and choose to use CustomUserRegistry
attrs = '[[enabled true][activeUserRegistry %s][enforceJava2Security false][appEnabled true]]' % (customUserRegistry)
AdminConfig.modify(securityId, attrs)

# Set basic properties of custom security
attrs = '[[useRegistryServerId false][primaryAdminId %s][customRegistryClassName %s]]' % ('admin', 'com.ibm.rational.cq.was.userregistry.CQUserRegistry')
AdminConfig.modify(customUserRegistry, attrs)

# Set custom properties
customProps = {
    'autoCreateJazzGroups':'true',
    'jazzAdmins':'admin',
    'jazzProjectLeads':'lead',
    'cqDbSetName':'7.0.0',
    'cqUserDbName':'SAMPL',
    'cqConnectionURL':'http://localhost:12080/TeamWeb/services/Team',
    'cqConnectionUsername':'admin',
    'cqConnectionPassword':'admin',
    'cqConnectionPasswordEncrypted':'false',
}

# You may want to use PasswordEncrypted = 'true'
#    'cqConnectionUsername':'admin',
#    'cqConnectionPassword':'07d779388fa00cf2e422a7b3b1d26e6c',
#    'cqConnectionPasswordEncrypted':'true',

n = 0
while n < len(customProps):
    AdminConfig.create('Property', customUserRegistry, '[[name %s][value %s][required false]]' % (customProps.keys()[n], customProps.values()[n]) )
    n += 1

genericJvmArguments = '-Dorg.mortbay.log.LogFactory.noDiscovery=true -Dorg.eclipse.equinox.servlet.bridge.enabled=true -Dcom.ibm.team.server.configURL=file:///C:/RCQR/server/teamserver.properties -Dcom.ibm.rational.report.server.configURL=file:///C:/RCQR/server/reportserver.properties -Dcom.ibm.team.repository.provision.profile=C:/RCQR/server/provision_profiles -Dcom.ibm.team.repository.service.internal.nonServiceProxies=com.ibm.rational.report.common.IReportContentRestService -Dorg.eclipse.emf.ecore.plugin.EcorePlugin.doNotLoadResourcesPlugin=true -Dlog4j.configuration=file:///C:/RCQR/server/log4j_was.properties'

print 'Custom Security is enabled.'

# Get JavaVirtualMachine object
javaVirtualMachine = AdminConfig.getid('/Node:/Server:/JavaProcessDef:/JavaVirtualMachine:/')
AdminConfig.modify(javaVirtualMachine, '[[genericJvmArguments \"%s\"]]' % (genericJvmArguments))

print 'Generic JVM arguments are updated.'

AdminApp.install('C:/RCQR/server/WebSphere/jazz.war', '[-appname jazz -contextroot /jazz -MapWebModToVH [[.* .* default_host]] -MapRolesToUsers [[JazzAdmins No No "" JazzAdmins][JazzDWAdmins No No "" JazzProjectLeads][JazzUsers No No "" JazzUsers][JazzGuests No No "" Everyone] ]]')

print 'Application is installed.'

AdminConfig.save()

print 'All configuration has been saved, please restart WAS service.'

# End of script
